using System;
namespace HySoft.BaseCallCenter.Model
{
	/// <summary>
	/// T_Wo_WorkOrderButton:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_WorkOrderButton
	{
		public T_Wo_WorkOrderButton()
		{}
		#region Model
		private int _f_buttonid;
		private string _f_name;
		private string _f_code;
		private string _f_des;
		private int? _f_sort;
		private int? _f_icon;
		private int? _f_deleteflag;
		/// <summary>
		/// 工单按钮Id
		/// </summary>
		public int F_ButtonId
		{
			set{ _f_buttonid=value;}
			get{return _f_buttonid;}
		}
		/// <summary>
		/// 名称
		/// </summary>
		public string F_Name
		{
			set{ _f_name=value;}
			get{return _f_name;}
		}
		/// <summary>
		/// 编号
		/// </summary>
		public string F_Code
		{
			set{ _f_code=value;}
			get{return _f_code;}
		}
		/// <summary>
		/// 描述
		/// </summary>
		public string F_Des
		{
			set{ _f_des=value;}
			get{return _f_des;}
		}
		/// <summary>
		/// 排序
		/// </summary>
		public int? F_Sort
		{
			set{ _f_sort=value;}
			get{return _f_sort;}
		}
		/// <summary>
		/// 按钮图标
		/// </summary>
		public int? F_Icon
		{
			set{ _f_icon=value;}
			get{return _f_icon;}
		}
		/// <summary>
		/// 删除标志
		/// </summary>
		public int? F_DeleteFlag
		{
			set{ _f_deleteflag=value;}
			get{return _f_deleteflag;}
		}
		#endregion Model

	}
}

